package domain

type AlibabaWdkCouponTemplateQueryApiResult struct {
	/*
	   错误码     */
	ErrCode *string `json:"err_code,omitempty" `

	/*
	   错误信息     */
	ErrMsg *string `json:"err_msg,omitempty" `

	/*
	   返回     */
	Model *AlibabaWdkCouponTemplateQueryCouponTemplateOperateResponse `json:"model,omitempty" `

	/*
	   成功标志     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkCouponTemplateQueryApiResult) SetErrCode(v string) *AlibabaWdkCouponTemplateQueryApiResult {
	s.ErrCode = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryApiResult) SetErrMsg(v string) *AlibabaWdkCouponTemplateQueryApiResult {
	s.ErrMsg = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryApiResult) SetModel(v AlibabaWdkCouponTemplateQueryCouponTemplateOperateResponse) *AlibabaWdkCouponTemplateQueryApiResult {
	s.Model = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryApiResult) SetSuccess(v bool) *AlibabaWdkCouponTemplateQueryApiResult {
	s.Success = &v
	return s
}
